Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1756 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

Run time errors/crashes with 2.6.24

Reported by: Maciej Piechotka <uzytkownik2@gmail.com> Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: driver Version: v0.9.3.3
Keywords: Cc:
Patch is attached: 0 Pending:

Description

If I tried to load madwifi driver in 2.6.24 kernel it failed to load (it show too many stacktraces to be shown in dmesg). With virtually the same configuration it worked in 2.6.23.

I cannot use ath5k module until it will support the WPA2(to which I look forward to).

Change History

01/28/08 01:40:06 changed by anonymous

I confirm the problem.

01/28/08 12:24:14 changed by anonymous

Got the problem too, but it compiles with a patch that I found on bugs.gentoo.org

Anyway, with the patch sniffing goes good, but after I stop sniffing, I just can't get up the interface again, and can't turn off or reset the system cause the system freezes...

01/29/08 12:20:42 changed by mentor

  • summary changed from madwifi do not work with 2.6.24 to Run time errors/crashes with 2.6.24.

01/29/08 12:20:49 changed by mentor

  • priority changed from critical to major.

01/29/08 12:20:57 changed by mentor

  • milestone set to version 0.9.4.

01/29/08 16:00:32 changed by anonymous

I got it to compile on Gentoo Linux and 2.6.24, but I get a kernel oops when I try to enter monitor mode with it using Kismet. A system reboot is the only way to get it back to normal.

01/29/08 16:34:44 changed by Maciej Piechotka <uzytkownik2@gmail.com>

According to bugs.gentoo.org/show_bug.cgi?id=205116 Gentoo Bugzilla it is fixed in SVN. However if fixup could be done quickly and/or 0.9.4 is far future I kindly ask for madwifi-ng-0.9.3.4 or madwifi-ng-0.9.3.3.1.

02/07/08 04:58:54 changed by mtaylor

  • status changed from new to closed.
  • resolution set to fixed.

Fixed in trunk.

02/07/08 06:18:45 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.

02/22/08 00:00:04 changed by anonymous

I got it to compile on Gentoo Linux and 2.6.24, but I get a kernel oops when I try to enter monitor mode with it using Kismet. A system reboot is the only way to get it back to normal.

Upgrading to kernel 2.6.24.2 and madwifi-ng 0.9.4 fixes my issue now. I'm sure upgrading madwifi-ng fixed it and the fix is unrelated to upgrading my kernel from 2.6.24 to 2.6.24.2.